Loading...
Searching...
No Matches
itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions > Class Template Reference

`#include <itkGPUBSplineDecompositionImageFilterFactory.h>`

## Detailed Description

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>
class itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >

Object Factory implementation for GPUBSplineDecompositionImageFilter.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 37 of file itkGPUBSplineDecompositionImageFilterFactory.h.

Inheritance diagram for itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPUBSplineDecompositionImageFilterFactory2
using | Superclass = GPUObjectFactoryBase<NDimensions>
Public Types inherited from itk::GPUObjectFactoryBase< NDimensions >
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPUObjectFactoryBase
using | Superclass = ObjectFactoryBase

## Public Member Functions

virtual const char * | GetClassName () const
const char * | GetDescription () const
| ITK_DISALLOW_COPY_AND_MOVE (GPUBSplineDecompositionImageFilterFactory2)
| itkFactorylessNewMacro (Self)
template<typename TTypeIn, typename TTypeOut, unsigned int VImageDimension>
void | operator() ()
Public Member Functions inherited from itk::GPUObjectFactoryBase< NDimensions >
const char * | GetITKSourceVersion () const override
| ITK_DISALLOW_COPY_AND_MOVE (GPUObjectFactoryBase)
| itkStaticConstMacro (Support1D, bool, NDimensions::Support1D)
| itkStaticConstMacro (Support2D, bool, NDimensions::Support2D)
| itkStaticConstMacro (Support3D, bool, NDimensions::Support3D)
virtual void | RegisterAll ()

## Static Public Member Functions

static void | RegisterOneFactory ()

## Protected Member Functions

| GPUBSplineDecompositionImageFilterFactory2 ()
virtual void | Register1D ()
virtual void | Register2D ()
virtual void | Register3D ()
virtual | ~GPUBSplineDecompositionImageFilterFactory2 ()
Protected Member Functions inherited from itk::GPUObjectFactoryBase< NDimensions >
| GPUObjectFactoryBase ()=default
| ~GPUObjectFactoryBase () override=default

## Member Typedef Documentation

## ConstPointer

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

using itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::ConstPointer = SmartPointer<const Self>

Definition at line 45 of file itkGPUBSplineDecompositionImageFilterFactory.h.

## Pointer

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

using itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Pointer = SmartPointer<Self>

Definition at line 44 of file itkGPUBSplineDecompositionImageFilterFactory.h.

## Self

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

using itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Self = GPUBSplineDecompositionImageFilterFactory2

Definition at line 42 of file itkGPUBSplineDecompositionImageFilterFactory.h.

## Superclass

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

using itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Superclass = GPUObjectFactoryBase<NDimensions>

Definition at line 43 of file itkGPUBSplineDecompositionImageFilterFactory.h.

## Constructor & Destructor Documentation

## GPUBSplineDecompositionImageFilterFactory2()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::GPUBSplineDecompositionImageFilterFactory2 | ( |  | ) |

protected

## ~GPUBSplineDecompositionImageFilterFactory2()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

virtual itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::~GPUBSplineDecompositionImageFilterFactory2 | ( |  | ) |

inline protected virtual

Definition at line 111 of file itkGPUBSplineDecompositionImageFilterFactory.h.

## Member Function Documentation

## GetClassName()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

virtual const char * itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## GetDescription()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

const char * itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::GetDescription | ( |  | ) | const

inline

Return a descriptive string describing the factory.

Definition at line 49 of file itkGPUBSplineDecompositionImageFilterFactory.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions > |  | ) |

## itkFactorylessNewMacro()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::itkFactorylessNewMacro | ( | Self |  | ) |

Method for class instantiation.

## operator()()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>
template<typename TTypeIn, typename TTypeOut, unsigned int VImageDimension>

void itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::operator() | ( |  | ) |

inline

Operator() to register override.

Definition at line 67 of file itkGPUBSplineDecompositionImageFilterFactory.h.

## Register1D()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

virtual void itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Register1D | ( |  | ) |

protected virtual

Register methods for 1D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## Register2D()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

virtual void itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Register2D | ( |  | ) |

protected virtual

Register methods for 2D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## Register3D()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

virtual void itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::Register3D | ( |  | ) |

protected virtual

Register methods for 3D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## RegisterOneFactory()

template<typename TTypeListIn, typename TTypeListOut, typename NDimensions>

void itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >::RegisterOneFactory | ( |  | ) |

static

Register one factory of this type.

Generated on 1768596610 for elastix by 1.15.0 |